// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '查询比赛', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    list: [],
    listend: [],
  },

  //维护
  maintain: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/maintain/index?id=` + id,
    })
  },
  //编排
  layout: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/lays/index?id=` + id,
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/me/index' })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    var that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        var that = this;
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              let datass = []
              let datasss = []
              for (let i = 0; i < datas.length; i++) {
                if (datas[i].status == 0) {
                  datas[i].status = '未开始'
                  datass.push(datas[i])
                } else if (datas[i].status == 1) {
                  datas[i].status = '报名中'
                } else if (datas[i].status == 2) {
                  datas[i].status = '待比赛'
                } else if (datas[i].status == 3) {
                  datas[i].status = '进行中'
                  datasss.push(datas[i])
                } else if (datas[i].status == 4) {
                  datas[i].status = '已结束'
                }
              }
              that.setData({
                list: datass,
                listend: datasss,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },// 监听用户是否登录
  watchLogin: function () {
    var that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              let datas = res.data.data
              for (let i = 0; i < datas.length; i++) {
                if (datas[i].status == 0) {
                  datas[i].status = '未开始'
                } else if (datas[i].status == 1) {
                  datas[i].status = '报名中'
                } else if (datas[i].status == 2) {
                  datas[i].status = '待比赛'
                } else if (datas[i].status == 3) {
                  datas[i].status = '进行中'
                } else if (datas[i].status == 4) {
                  datas[i].status = '已结束'
                }
              }
              that.setData({
                list: datas,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})